## kodi-pvr-iptvsimple 1.11.5+git20150717

=== CMakeLists.txt ===
project(pvr.iptvsimple)

cmake_minimum_required(VERSION 2.6)

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)
find_package(ZLIB REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${ZLIB_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/lib)

set(DEPLIBS ${platform_LIBRARIES}
            ${ZLIB_LIBRARIES})

message(STATUS "ZLIB_LIBRARIES: ${ZLIB_LIBRARIES}")

set(IPTV_SOURCES src/client.cpp
                 src/PVRIptvData.cpp)

build_addon(pvr.iptvsimple IPTV DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-iptvsimple (1.11.5+git20150717-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

kodi-pvr-iptvsimple (1.9.27-1~trusty) trusty; urgency=low

  [ kodi ]
  * autogenerated dummy changelog

 -- Arne Morten Kvarving <arne.morten.kvarving@sintef.no>  Sat, 01 Jun 2013 00:59:22 +0200

=== debian/control ===
Source: kodi-pvr-iptvsimple
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev, zlib1g-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.iptvsimple.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-iptvsimple.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-iptvsimple.git


Package: kodi-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: Kodi PVR Addon Argustv
 This package contains the Argustv PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-iptvsimple

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-iptvsimple 1.12.11+git20160220

=== debian/changelog ===
kodi-pvr-iptvsimple (1.12.11+git20160220-1) unstable; urgency=medium

  * Imported Upstream version 1.12.11+git20160220
  * Switch to p8-platform from (cec-)platform
  * Bump standards version to 3.9.7
  * Fix package description (Closes: #808746, #808597)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Mar 2016 21:25:43 +0100

=== debian/control ===
Source: kodi-pvr-iptvsimple
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev, zlib1g-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.iptvsimple.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-iptvsimple.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-iptvsimple.git


Package: kodi-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: IPTV Simple Client Kodi PVR Addon
 IPTV Simple Client is a basic PVR Addon for Kodi to receive IPTV Live TV,
 Radio channels, and EPG directly in Kodi.
 .
 It adds support for Live TV watching and EPG TV Guide through IPTV
 provided by the Internet providers in former USSR countries among others.

## kodi-pvr-iptvsimple 2.4.4+git20161211

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,18 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(ZLIB REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}
                     ${ZLIB_INCLUDE_DIRS}
                     ${PROJECT_SOURCE_DIR}/lib)
 
-set(DEPLIBS ${platform_LIBRARIES}
+set(DEPLIBS ${p8-platform_LIBRARIES}
             ${ZLIB_LIBRARIES})
 
 message(STATUS "ZLIB_LIBRARIES: ${ZLIB_LIBRARIES}")

=== depends/common/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

project(zlib C)

set(VERSION "1.2.7")

set(INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE PATH "Installation directory for executables")
set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Installation directory for libraries")
set(INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "Installation directory for headers")
set(INSTALL_MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Installation directory for manual pages")
set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
enable_testing()

check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(stddef.h    HAVE_STDDEF_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1)
# We add these other definitions here because CheckTypeSize.cmake
# in CMake 2.4.x does not automatically do so and we want
# compatibility with CMake 2.4.x.
if(HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_SYS_TYPES_H)
endif()
if(HAVE_STDINT_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDINT_H)
endif()
if(HAVE_STDDEF_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDDEF_H)
endif()
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
   add_definitions(-D_LARGEFILE64_SOURCE=1)
endif()
set(CMAKE_REQUIRED_DEFINITIONS) # clear variable

#
# Check for fseeko
#
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    add_definitions(-DNO_FSEEKO)
endif()

#
# Check for unistd.h
#
check_include_file(unistd.h Z_HAVE_UNISTD_H)

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    # If we're doing an out of source build and the user has a zconf.h
    # in their source tree...
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h)
        message(STATUS "Renaming")
        message(STATUS "    ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h")
        message(STATUS "to 'zconf.h.included' because this file is included with zlib")
        message(STATUS "but CMake generates it automatically in the build directory.")
        file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.included)
  endif()
endif()

set(ZLIB_PC ${CMAKE_CURRENT_BINARY_DIR}/zlib.pc)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/zlib.pc.cmakein
		${ZLIB_PC} @ONLY)
configure_file(	${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.cmakein
		${CMAKE_CURRENT_BINARY_DIR}/zconf.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})


#============================================================================
# zlib
#============================================================================

set(ZLIB_PUBLIC_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/zconf.h
    zlib.h
)
set(ZLIB_PRIVATE_HDRS
    crc32.h
    deflate.h
    gzguts.h
    inffast.h
    inffixed.h
    inflate.h
    inftrees.h
    trees.h
    zutil.h
)
set(ZLIB_SRCS
    adler32.c
    compress.c
    crc32.c
    deflate.c
    gzclose.c
    gzlib.c
    gzread.c
    gzwrite.c
    inflate.c
    infback.c
    inftrees.c
    inffast.c
    trees.c
    uncompr.c
    zutil.c
)

if(NOT MINGW)
    set(ZLIB_SRCS ${ZLIB_SRCS}
        win32/zlib1.rc # If present will override custom build rule below.
    )
endif()

# parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib.h _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" ZLIB_FULL_VERSION ${_zlib_h_contents})

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        SET(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/zlib1.rc)
    set(ZLIB_SRCS ${ZLIB_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj)
endif(MINGW)

if(BUILD_SHARED_LIBS)
    add_library(zlib SHARED ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
    add_library(zlibstatic STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
    set_target_properties(zlib PROPERTIES DEFINE_SYMBOL ZLIB_DLL)
    set_target_properties(zlib PROPERTIES SOVERSION 1)
else(BUILD_SHARED_LIBS)
    add_library(zlib STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
endif(BUILD_SHARED_LIBS)

if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${ZLIB_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    #
    # This has no effect with MSVC, on that platform the version info for
    # the DLL comes from the resource file win32/zlib1.rc
    set_target_properties(zlib PROPERTIES VERSION ${ZLIB_FULL_VERSION})
endif()

if(UNIX)
    # On unix-like platforms the library is almost always called libz
    set_target_properties(zlib PROPERTIES OUTPUT_NAME z)
    if(BUILD_SHARED_LIBS)
        set_target_properties(zlibstatic PROPERTIES OUTPUT_NAME z)
    endif(BUILD_SHARED_LIBS)
    set_target_properties(zlib PROPERTIES LINK_FLAGS "-Wl,--version-script,${CMAKE_CURRENT_SOURCE_DIR}/zlib.map")
elseif(BUILD_SHARED_LIBS AND WIN32)
    # Creates zlib1.dll when building shared library version
    set_target_properties(zlib PROPERTIES SUFFIX "1.dll")
endif()

if(NOT SKIP_INSTALL_LIBRARIES AND NOT SKIP_INSTALL_ALL )
    install(TARGETS zlib
        RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
        ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
        LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )
    if(BUILD_SHARED_LIBS)
        install(TARGETS zlibstatic
            RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
            ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
            LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )
    endif(BUILD_SHARED_LIBS)
endif()
if(NOT SKIP_INSTALL_HEADERS AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PUBLIC_HDRS} DESTINATION "${INSTALL_INC_DIR}")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES zlib.3 DESTINATION "${INSTALL_MAN_DIR}/man3")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PC} DESTINATION "${INSTALL_PKGCONFIG_DIR}")
endif()

#============================================================================
# Example binaries
#============================================================================

add_executable(example test/example.c)
target_link_libraries(example zlib)
add_test(example example)

add_executable(minigzip test/minigzip.c)
target_link_libraries(minigzip zlib)

if(HAVE_OFF64_T)
    add_executable(example64 test/example.c)
    target_link_libraries(example64 zlib)
    set_target_properties(example64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
    add_test(example64 example64)

    add_executable(minigzip64 test/minigzip.c)
    target_link_libraries(minigzip64 zlib)
    set_target_properties(minigzip64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
endif()

=== debian/changelog ===
kodi-pvr-iptvsimple (2.4.4+git20161211-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Depend on PVR API version of Kodi we built the addon with
  * Imported Upstream version 2.4.4+git20161211

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:11:28 +0100

kodi-pvr-iptvsimple (2.4.3+git20160820-1) unstable; urgency=medium

  * Imported Upstream version 2.4.3+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2016 22:47:39 +0100

=== debian/control ===
Source: kodi-pvr-iptvsimple
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta6~),
               zlib1g-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-iptvsimple.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-iptvsimple.git
Homepage: https://github.com/kodi-pvr/pvr.iptvsimple.git

Package: kodi-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: IPTV Simple Client Kodi PVR Addon
 IPTV Simple Client is a basic PVR Addon for Kodi to receive IPTV Live TV,
 Radio channels, and EPG directly in Kodi.
 .
 It adds support for Live TV watching and EPG TV Guide through IPTV
 provided by the Internet providers in former USSR countries among others.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

## kodi-pvr-iptvsimple 3.9.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.iptvsimple)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)
find_package(Rapidxml REQUIRED)
find_package(ZLIB REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${RAPIDXML_INCLUDE_DIRS}
                    ${ZLIB_INCLUDE_DIRS})

set(DEPLIBS ${p8-platform_LIBRARIES}
            ${ZLIB_LIBRARIES})

message(STATUS "ZLIB_LIBRARIES: ${ZLIB_LIBRARIES}")

set(IPTV_SOURCES src/client.cpp
                 src/PVRIptvData.cpp)

set(IPTV_HEADERS src/client.h
                 src/PVRIptvData.h)

addon_version(pvr.iptvsimple IPTV)
add_definitions(-DIPTV_VERSION=${IPTV_VERSION})

build_addon(pvr.iptvsimple IPTV DEPLIBS)

include(CPack)

=== depends/common/rapidxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rapidxml)

install(FILES rapidxml.hpp rapidxml_iterators.hpp rapidxml_print.hpp rapidxml_utils.hpp DESTINATION include/rapidxml)

=== debian/changelog ===
kodi-pvr-iptvsimple (3.9.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Add debian/watch
  * New upstream version 3.9.8
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions
  * Build-depend on librapidxml-dev
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:26 +0100

=== debian/control ===
Source: kodi-pvr-iptvsimple
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               kodi-addons-dev (>= 2:18~),
               libkodiplatform-dev (>= 20150826),
               librapidxml-dev,
               zlib1g-dev
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-iptvsimple
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-iptvsimple.git
Homepage: https://github.com/kodi-pvr/pvr.iptvsimple.git

Package: kodi-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: IPTV Simple Client Kodi PVR Addon
 IPTV Simple Client is a basic PVR Addon for Kodi to receive IPTV Live TV,
 Radio channels, and EPG directly in Kodi.
 .
 It adds support for Live TV watching and EPG TV Guide through IPTV
 provided by the Internet providers in former USSR countries among others.

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.iptvsimple/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-iptvsimple 7.4.3%2Bds1

=== debian/changelog ===
kodi-pvr-iptvsimple (7.4.3+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:12:41 +0200

kodi-pvr-iptvsimple (7.4.3+ds1-1) unstable; urgency=medium

  * New upstream version 7.4.3+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 01 Mar 2021 05:37:54 +0000

kodi-pvr-iptvsimple (7.4.2+ds1-1) unstable; urgency=medium

  * New upstream version 7.4.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 18 Feb 2021 23:39:06 +0000

kodi-pvr-iptvsimple (7.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:57 +0000

kodi-pvr-iptvsimple (7.1.0+ds1-1) experimental; urgency=medium

  * New upstream version 7.1.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
    + Add Recommends for kodi-inputstream{adaptive,ffmpegredirect,rtmp}
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:13:23 +0000

## kodi-pvr-iptvsimple 7.4.3+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.iptvsimple)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(Pugixml REQUIRED)
find_package(ZLIB REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${PUGIXML_INCLUDE_DIRS}
                    ${ZLIB_INCLUDE_DIRS})

set(DEPLIBS ${PUGIXML_LIBRARIES}
            ${ZLIB_LIBRARIES})

message(STATUS "PUGIXML_LIBRARIES: ${PUGIXML_LIBRARIES}")
message(STATUS "ZLIB_LIBRARIES: ${ZLIB_LIBRARIES}")

set(IPTV_SOURCES src/PVRIptvData.cpp
                 src/iptvsimple/CatchupController.cpp
                 src/iptvsimple/Channels.cpp
                 src/iptvsimple/ChannelGroups.cpp
                 src/iptvsimple/Epg.cpp
                 src/iptvsimple/PlaylistLoader.cpp
                 src/iptvsimple/Settings.cpp
                 src/iptvsimple/StreamManager.cpp
                 src/iptvsimple/data/Channel.cpp
                 src/iptvsimple/data/ChannelEpg.cpp
                 src/iptvsimple/data/ChannelGroup.cpp
                 src/iptvsimple/data/EpgEntry.cpp
                 src/iptvsimple/data/EpgGenre.cpp
                 src/iptvsimple/utilities/FileUtils.cpp
                 src/iptvsimple/utilities/Logger.cpp
                 src/iptvsimple/utilities/StreamUtils.cpp
                 src/iptvsimple/utilities/WebUtils.cpp)

set(IPTV_HEADERS src/PVRIptvData.h
                 src/iptvsimple/CatchupController.h
                 src/iptvsimple/Channels.h
                 src/iptvsimple/ChannelGroups.h
                 src/iptvsimple/Epg.h
                 src/iptvsimple/PlaylistLoader.h
                 src/iptvsimple/Settings.h
                 src/iptvsimple/StreamManager.h
                 src/iptvsimple/data/Channel.h
                 src/iptvsimple/data/ChannelEpg.h
                 src/iptvsimple/data/ChannelGroup.h
                 src/iptvsimple/data/EpgEntry.h
                 src/iptvsimple/data/EpgGenre.h
                 src/iptvsimple/data/StreamEntry.h
                 src/iptvsimple/utilities/FileUtils.h
                 src/iptvsimple/utilities/Logger.h
                 src/iptvsimple/utilities/StreamUtils.h
                 src/iptvsimple/utilities/TimeUtils.h
                 src/iptvsimple/utilities/WebUtils.h
                 src/iptvsimple/utilities/XMLUtils.h)

addon_version(pvr.iptvsimple IPTV)
add_definitions(-DIPTV_VERSION=${IPTV_VERSION})

build_addon(pvr.iptvsimple IPTV DEPLIBS)

include(CPack)

=== debian/control ===
Source: kodi-pvr-iptvsimple
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libpugixml-dev,
 zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple.git
Homepage: https://kodi.tv/

Package: kodi-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:PVRAPI}
Recommends: kodi-inputstream-adaptive,
 kodi-inputstream-ffmpegdirect,
 kodi-inputstream-rtmp
Description: IPTV Simple Client Kodi PVR Addon
 IPTV Simple Client is a basic PVR Addon for Kodi to receive IPTV Live TV,
 Radio channels, and EPG directly in Kodi.
 .
 It adds support for Live TV watching and EPG TV Guide through IPTV
 provided by the Internet providers in former USSR countries among others.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.iptvsimple/releases \
/kodi-pvr/pvr.iptvsimple/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-iptvsimple 7.6.5+ds1

=== debian/changelog ===
kodi-pvr-iptvsimple (7.6.5+ds1-1) unstable; urgency=medium

  * New upstream version 7.6.5+ds1
  * Fix github links in d/watch
  * Add liblzma-dev as build-dep

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 06 Jul 2021 19:02:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends-Arch: dh-sequence-kodiaddon,
  cmake,
  kodi-addons-dev (>= 2:19~),
+ liblzma-dev,
  libpugixml-dev,
  zlib1g-dev
 Standards-Version: 4.5.1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.iptvsimple/releases \
/kodi-pvr/pvr.iptvsimple/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-iptvsimple 19.0.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,20 @@
 find_package(Kodi REQUIRED)
 find_package(Pugixml REQUIRED)
 find_package(ZLIB REQUIRED)
+find_package(lzma REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PUGIXML_INCLUDE_DIRS}
-                    ${ZLIB_INCLUDE_DIRS})
+                    ${ZLIB_INCLUDE_DIRS}
+                    ${LZMA_INCLUDE_DIRS})
 
 set(DEPLIBS ${PUGIXML_LIBRARIES}
-            ${ZLIB_LIBRARIES})
+            ${ZLIB_LIBRARIES}
+            ${LZMA_LIBRARIES})
 
 message(STATUS "PUGIXML_LIBRARIES: ${PUGIXML_LIBRARIES}")
 message(STATUS "ZLIB_LIBRARIES: ${ZLIB_LIBRARIES}")
+message(STATUS "LZMA_LIBRARIES: ${LZMA_LIBRARIES}")
 
 set(IPTV_SOURCES src/PVRIptvData.cpp
                  src/iptvsimple/CatchupController.cpp
@@ -59,6 +63,10 @@
 addon_version(pvr.iptvsimple IPTV)
 add_definitions(-DIPTV_VERSION=${IPTV_VERSION})
 
+if(WIN32)
+  add_definitions(-DLZMA_API_STATIC)
+endif()
+
 build_addon(pvr.iptvsimple IPTV DEPLIBS)
 
 include(CPack)

=== debian/changelog ===
kodi-pvr-iptvsimple (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Nov 2021 11:32:21 +0000

kodi-pvr-iptvsimple (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:51 +0000

kodi-pvr-iptvsimple (7.6.9+ds1-1) unstable; urgency=medium

  * New upstream version 7.6.9+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:32:02 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  liblzma-dev,
  libpugixml-dev,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.iptvsimple/releases \
/kodi-pvr/pvr.iptvsimple/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-iptvsimple 19.1.0%2Bds1

=== debian/changelog ===
kodi-pvr-iptvsimple (19.1.0+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:01 +0000

kodi-pvr-iptvsimple (19.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.1.0+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  liblzma-dev,
  libpugixml-dev,
  zlib1g-dev

## kodi-pvr-iptvsimple 20.4.0+ds1

=== debian/changelog ===
kodi-pvr-iptvsimple (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  liblzma-dev,
  libpugixml-dev,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.iptvsimple/releases \
/kodi-pvr/pvr.iptvsimple/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-iptvsimple 20.6.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
 find_package(Kodi REQUIRED)
-find_package(Pugixml REQUIRED)
+find_package(pugixml REQUIRED)
 find_package(ZLIB REQUIRED)
 find_package(lzma REQUIRED)
 
@@ -25,15 +25,19 @@
                  src/iptvsimple/CatchupController.cpp
                  src/iptvsimple/Channels.cpp
                  src/iptvsimple/ChannelGroups.cpp
+                 src/iptvsimple/Providers.cpp
                  src/iptvsimple/Epg.cpp
+                 src/iptvsimple/Media.cpp
                  src/iptvsimple/PlaylistLoader.cpp
                  src/iptvsimple/Settings.cpp
                  src/iptvsimple/StreamManager.cpp
                  src/iptvsimple/data/Channel.cpp
                  src/iptvsimple/data/ChannelEpg.cpp
                  src/iptvsimple/data/ChannelGroup.cpp
+                 src/iptvsimple/data/Provider.cpp
                  src/iptvsimple/data/EpgEntry.cpp
                  src/iptvsimple/data/EpgGenre.cpp
+                 src/iptvsimple/data/MediaEntry.cpp
                  src/iptvsimple/utilities/FileUtils.cpp
                  src/iptvsimple/utilities/Logger.cpp
                  src/iptvsimple/utilities/StreamUtils.cpp
@@ -43,15 +47,20 @@
                  src/iptvsimple/CatchupController.h
                  src/iptvsimple/Channels.h
                  src/iptvsimple/ChannelGroups.h
+                 src/iptvsimple/Providers.cpp
                  src/iptvsimple/Epg.h
+                 src/iptvsimple/Media.h
                  src/iptvsimple/PlaylistLoader.h
                  src/iptvsimple/Settings.h
                  src/iptvsimple/StreamManager.h
+                 src/iptvsimple/data/BaseEntry.h
                  src/iptvsimple/data/Channel.h
                  src/iptvsimple/data/ChannelEpg.h
                  src/iptvsimple/data/ChannelGroup.h
+                 src/iptvsimple/data/Provider.cpp
                  src/iptvsimple/data/EpgEntry.h
                  src/iptvsimple/data/EpgGenre.h
+                 src/iptvsimple/data/MediaEntry.h
                  src/iptvsimple/data/StreamEntry.h
                  src/iptvsimple/utilities/FileUtils.h
                  src/iptvsimple/utilities/Logger.h

=== debian/changelog ===
kodi-pvr-iptvsimple (20.6.1+ds-1) unstable; urgency=medium

  * New upstream version 20.6.1+ds

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present in machine-readable debian/copyright).

  [ Vasyl Gello ]
  * Bmp copyright years
  * d/watch: Fix repack suffix

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 05 Jan 2023 12:00:28 +0000

kodi-pvr-iptvsimple (20.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.6.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  liblzma-dev,
  libpugixml-dev,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple.git

## kodi-pvr-iptvsimple 20.13.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,15 +21,17 @@
 message(STATUS "ZLIB_LIBRARIES: ${ZLIB_LIBRARIES}")
 message(STATUS "LZMA_LIBRARIES: ${LZMA_LIBRARIES}")
 
-set(IPTV_SOURCES src/PVRIptvData.cpp
+set(IPTV_SOURCES src/addon.cpp
+                 src/IptvSimple.cpp
+                 src/iptvsimple/AddonSettings.cpp
                  src/iptvsimple/CatchupController.cpp
                  src/iptvsimple/Channels.cpp
                  src/iptvsimple/ChannelGroups.cpp
-                 src/iptvsimple/Providers.cpp
                  src/iptvsimple/Epg.cpp
+                 src/iptvsimple/InstanceSettings.cpp
                  src/iptvsimple/Media.cpp
                  src/iptvsimple/PlaylistLoader.cpp
-                 src/iptvsimple/Settings.cpp
+                 src/iptvsimple/Providers.cpp
                  src/iptvsimple/StreamManager.cpp
                  src/iptvsimple/data/Channel.cpp
                  src/iptvsimple/data/ChannelEpg.cpp
@@ -40,18 +42,21 @@
                  src/iptvsimple/data/MediaEntry.cpp
                  src/iptvsimple/utilities/FileUtils.cpp
                  src/iptvsimple/utilities/Logger.cpp
+                 src/iptvsimple/utilities/SettingsMigration.cpp
                  src/iptvsimple/utilities/StreamUtils.cpp
                  src/iptvsimple/utilities/WebUtils.cpp)
 
-set(IPTV_HEADERS src/PVRIptvData.h
+set(IPTV_HEADERS src/addon.h
+                 src/IptvSimple.h
+                 src/iptvsimple/AddonSettings.h
                  src/iptvsimple/CatchupController.h
                  src/iptvsimple/Channels.h
                  src/iptvsimple/ChannelGroups.h
-                 src/iptvsimple/Providers.cpp
                  src/iptvsimple/Epg.h
+                 src/iptvsimple/InstanceSettings.h
                  src/iptvsimple/Media.h
                  src/iptvsimple/PlaylistLoader.h
-                 src/iptvsimple/Settings.h
+                 src/iptvsimple/Providers.cpp
                  src/iptvsimple/StreamManager.h
                  src/iptvsimple/data/BaseEntry.h
                  src/iptvsimple/data/Channel.h
@@ -64,6 +69,7 @@
                  src/iptvsimple/data/StreamEntry.h
                  src/iptvsimple/utilities/FileUtils.h
                  src/iptvsimple/utilities/Logger.h
+                 src/iptvsimple/utilities/SettingsMigration.h
                  src/iptvsimple/utilities/StreamUtils.h
                  src/iptvsimple/utilities/TimeUtils.h
                  src/iptvsimple/utilities/WebUtils.h

=== debian/changelog ===
kodi-pvr-iptvsimple (20.13.0+ds-1) unstable; urgency=medium

  * New upstream version 20.13.0+ds
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:36 +0000

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.iptvsimple \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-iptvsimple 21.8.5+ds

=== debian/changelog ===
kodi-pvr-iptvsimple (21.8.5+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:42 +0000

kodi-pvr-iptvsimple (21.8.5+ds-1) unstable; urgency=medium

  * New upstream version 21.8.5+ds
  * Remove empty patch series

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:15 +0000

kodi-pvr-iptvsimple (21.8.2+ds-1) experimental; urgency=medium

  * New upstream version 21.8.2+ds
  * Branch out experimental
  * Modernize package
  * New release 20.3.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:04 +0000

## kodi-pvr-iptvsimple 21.9.3+ds

=== debian/changelog ===
kodi-pvr-iptvsimple (21.9.3+ds-1) unstable; urgency=medium

  * New upstream version 21.9.3+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 11 Oct 2024 10:12:25 +0000

kodi-pvr-iptvsimple (21.8.6+ds-1) unstable; urgency=high

  * New upstream version 21.8.6+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 08 Sep 2024 06:45:18 +0000

## kodi-pvr-iptvsimple 21.10.0+ds

=== debian/changelog ===
kodi-pvr-iptvsimple (21.10.0+ds-1) unstable; urgency=medium

  * New upstream version 21.10.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 04 Nov 2024 17:22:10 +0000

## kodi-pvr-iptvsimple 21.10.1%2Bds

=== debian/changelog ===
kodi-pvr-iptvsimple (21.10.1+ds-1) unstable; urgency=high

  * New upstream version 21.10.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:55 +0000

## kodi-pvr-iptvsimple 21.10.1+ds

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  liblzma-dev,
  libpugixml-dev,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-iptvsimple.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-iptvsimple

## kodi-pvr-iptvsimple 21.10.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
                  src/iptvsimple/CatchupController.cpp
                  src/iptvsimple/Channels.cpp
                  src/iptvsimple/ChannelGroups.cpp
+                 src/iptvsimple/ConnectionManager.cpp
                  src/iptvsimple/Epg.cpp
                  src/iptvsimple/InstanceSettings.cpp
                  src/iptvsimple/Media.cpp
@@ -52,7 +53,9 @@
                  src/iptvsimple/CatchupController.h
                  src/iptvsimple/Channels.h
                  src/iptvsimple/ChannelGroups.h
+                 src/iptvsimple/ConnectionManager.h
                  src/iptvsimple/Epg.h
+                 src/iptvsimple/IConnectionListener.h
                  src/iptvsimple/InstanceSettings.h
                  src/iptvsimple/Media.h
                  src/iptvsimple/PlaylistLoader.h

=== debian/changelog ===
kodi-pvr-iptvsimple (21.10.2+ds-1) unstable; urgency=high

  * New upstream version 21.10.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 06:35:30 +0000

## kodi-pvr-iptvsimple 21.11.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,10 @@
                  src/iptvsimple/utilities/Logger.cpp
                  src/iptvsimple/utilities/SettingsMigration.cpp
                  src/iptvsimple/utilities/StreamUtils.cpp
-                 src/iptvsimple/utilities/WebUtils.cpp)
+                 src/iptvsimple/utilities/WebUtils.cpp
+                 src/iptvsimple/utilities/WebStreamExtractor.cpp
+                 src/iptvsimple/utilities/CurlUtils.cpp
+                 )
 
 set(IPTV_HEADERS src/addon.h
                  src/IptvSimple.h
@@ -76,7 +79,10 @@
                  src/iptvsimple/utilities/StreamUtils.h
                  src/iptvsimple/utilities/TimeUtils.h
                  src/iptvsimple/utilities/WebUtils.h
-                 src/iptvsimple/utilities/XMLUtils.h)
+                 src/iptvsimple/utilities/XMLUtils.h
+                 src/iptvsimple/utilities/WebStreamExtractor.h
+                 src/iptvsimple/utilities/CurlUtils.h
+                 )
 
 addon_version(pvr.iptvsimple IPTV)
 add_definitions(-DIPTV_VERSION=${IPTV_VERSION})

=== debian/changelog ===
kodi-pvr-iptvsimple (21.11.0+ds-1) unstable; urgency=high

  * New upstream version 21.11.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:40:03 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
	# warning triggered by dh_configure unnecessarily overriding
	# install directory
	# -DUSE_LTO=0 disables LTO and makes build reproducible
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DUSE_LTO=0

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.iptvsimple \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
